<?php

namespace Artmark\BreadCrumbs;

/**
 * Description of CrumbInterface
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
interface CrumbInterface
{
    /**
     * URL ссылки элемента хлебных крошек
     * @return string
     */
    public function url();
    
    /**
     * Текст элемента хлебных крошек
     * @return string
     */
    public function label();
    
    /**
     * Задана или нет иконка для элемента хлебных крошек
     * @return boolean
     */
    public function hasIcon();
    
    /**
     * Возвращает URL иконки
     * @return string
     */
    public function icon();
}
